[pan2] Rewrite autogen.sh to drop dependency on gnome-common



commit d1206be763d0450dfc1dccfea9bbf9080f92b132
Author: Detlef Graef <detlef graef yahoo de>
Date:   Tue May 16 23:48:02 2017 +0200

    Rewrite autogen.sh to drop dependency on gnome-common
    
    Cf. https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   33 +++++++++++++++++++++++++++------
 1 files changed, 27 insertions(+), 6 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 9b5bbf6..6f8dff2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,16 +4,37 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
+olddir=$(pwd)
+
+cd $srcdir
+
 (test -f $srcdir/Makefile.am && test -d $srcdir/pan) || {
     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
     echo " top-level Pan directory"
     exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common module and make"
-    echo "sure the gnome-autogen.sh script is in your \$PATH."
-    exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+       echo "*** If you wish to pass any to it, please specify them on the" >&2
+       echo "*** '$0' command line." >&2
+       echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+       $srcdir/configure "$@" || exit 1
+
+       if [ "$1" = "--help" ]; then exit 0
+       else
+               echo "Now type 'make' to compile $PKG_NAME" || exit 1
+       fi
+else
+       echo "Skipping configure process."
+fi
 
-. gnome-autogen.sh


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]